import 'package:equatable/equatable.dart';

class GetEnergyConsumptionByPhasesParam extends Equatable {
  final String powerClampUuid;
  final DateTime? date;

  const GetEnergyConsumptionByPhasesParam({
    required this.powerClampUuid,
    this.date,
  });

  Map<String, dynamic> toJson() {
    return {
      'monthDate': '${date?.year}-${date?.month.toString().padLeft(2, '0')}',
    };
  }

  @override
  List<Object?> get props => [powerClampUuid, date];
}
